// KittyCat! Comm 1.0 for Windows 3.1
// by Steven Lawrance
// ---Communications Distribution Header File---
#include <ddeml.h>

// DLL Routines
HINSTANCE FAR PASCAL _export Distrbtr_GetDLLInstance(void);
void FAR PASCAL _export SetFileStruct(FILESTRUCT fs);

// Open Function
int FAR PASCAL _export OpenPort(BBS bbs, HWND hWnd);

// Data Convert And Send Functions
DWORD FAR PASCAL _export SendData(LPBYTE DataOut, long Bytes);
LPSTR FAR PASCAL _export ConvertDosControlsToWindows(char String[100]);

// Dialer
HDDEDATA FAR PASCAL _export DdeCallBackProc(UINT iType, UINT iFmt, HCONV hConv, HSZ hsz1, HSZ hsz2, HDDEDATA hData, DWORD Data1, DWORD Data2);
void FAR PASCAL _export DialNumber(HWND hWnd, FILESTRUCT fs, BBS bbsx, int LineNumber);
BOOL CALLBACK _export DialingDlgProc(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
void WMDialingDlgCommand_Handler(HWND hDlg, int id, HWND hwndCtl, UINT codeNotify);
void WMDialingHScroll_Handler(HWND hWnd, HWND hwndCtl, UINT code, int pos);
void FAR PASCAL _export ClosePort(void);
BBS FAR PASCAL _export GetLineInfo(int LineNumber, FILESTRUCT fs, const char *BBSName);
DWORD CheckIncomingData(char DataPresent[2050]);

// Error Message Checks
int FAR PASCAL _export CheckErrorMessage(LPCSTR CheckString);
int FAR PASCAL _export CheckConnectMessage(LPCSTR CheckString);
