#if !defined(__fledtolv_h)              // Sentry, use file only if it's not already included.
#define __fledtolv_h

/*  Project FileEdit
    KittyCat! Systems
    Copyright  1995 Steven Lawrance. All Rights Reserved.

    SUBSYSTEM:    fileedit.exe Application
    FILE:         fledtolv.h
    AUTHOR:       Steven Lawrance


    OVERVIEW
    ========
    Class definition for FileEditOleView (TOleView).      
*/


#include <owl\owlpch.h>
#pragma hdrstop


#include "fledtapp.rh"            // Definition of all resources.


//{{TOleView = FileEditOleView}}
class FileEditOleView : public TOleView {
public:
    FileEditOleView (TDocument& doc, TWindow* parent = 0);
    virtual ~FileEditOleView ();

private:
    TControlBar *ToolBar;

//{{FileEditOleViewVIRTUAL_BEGIN}}
public:
    virtual void Paint (TDC& dc, bool erase, TRect& rect);
//{{FileEditOleViewVIRTUAL_END}}
//{{FileEditOleViewRSP_TBL_BEGIN}}
protected:
    void EvGetMinMaxInfo (MINMAXINFO far& minmaxinfo);
    bool EvOcViewShowTools (TOcToolBarInfo far& tbi);
//{{FileEditOleViewRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(FileEditOleView);
};    //{{FileEditOleView}}


#endif                                      // __fledtolv_h sentry.
