#if !defined(__fledtabd_h)              // Sentry, use file only if it's not already included.
#define __fledtabd_h

/*  Project FileEdit
    KittyCat! Systems
    Copyright  1995 Steven Lawrance. All Rights Reserved.

    SUBSYSTEM:    fileedit.exe Application
    FILE:         fledtabd.h
    AUTHOR:       Steven Lawrance


    OVERVIEW
    ========
    Class definition for FileEditAboutDlg (TDialog).      
*/


#include <owl\owlpch.h>
#pragma hdrstop

#include "fledtapp.rh"                  // Definition of all resources.


//{{TDialog = FileEditAboutDlg}}
class FileEditAboutDlg : public TDialog {
public:
    FileEditAboutDlg (TWindow *parent, TResId resId = IDD_ABOUT, TModule *module = 0);
    virtual ~FileEditAboutDlg ();

//{{FileEditAboutDlgVIRTUAL_BEGIN}}
public:
    void SetupWindow ();
//{{FileEditAboutDlgVIRTUAL_END}}
};    //{{FileEditAboutDlg}}


// Reading the VERSIONINFO resource.
class ProjectRCVersion {
public:
    ProjectRCVersion (TModule *module);
    virtual ~ProjectRCVersion ();

    bool GetProductName (LPSTR &prodName);
    bool GetProductVersion (LPSTR &prodVersion);
    bool GetCopyright (LPSTR &copyright);
    bool GetDebug (LPSTR &debug);

protected:
    LPBYTE      TransBlock;
    void FAR    *FVData;

private:
    // Don't allow this object to be copied.
    ProjectRCVersion (const ProjectRCVersion &);
    ProjectRCVersion & operator =(const ProjectRCVersion &);
};


#endif                                      // __fledtabd_h sentry.
