// Put in login scripts in the ANSI/RIPscrip/ZModem Window!!


// KittyCat! Desk 1.1 for Win16
// By Steven Lawrance
// ---Desktop File---

#include <windows.h>
#include <string.h>
#include <ctl3d.h>
#include <shellapi.h>
#include "ktydesk.h"
#include "ktydefs.h"

char DeskFile[288];
HFILE hDeskFile;
HINSTANCE ghInstance;
HBITMAP hBackground;
HWND ghWnd;
unsigned long int nItems;

HFILE FAR PASCAL _export OpenDesk(LPCSTR lpszFileName, HWND hWnd, unsigned long int *nItems, HBITMAP *hBitmap);
LRESULT CALLBACK _export MainWndProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam);
LRESULT CALLBACK _export IconWndProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam);
LRESULT CALLBACK _export FolderWndProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam);
BOOL ReadItem(HFILE hFile, HWND hWnd);
BOOL ReadFolder(HFILE hFile, HWND hWnd);
HFILE FAR PASCAL _export OpenDesk(LPCSTR lpszFileName, HWND hWnd, unsigned long int *nItems, HBITMAP *hBitmap);
BOOL ReadString(HFILE hFile, LPSTR String, UINT nBytes);
BOOL ReadULINT(HFILE hFile, unsigned long int *iValue);
BOOL ReadUINT(HFILE hFile, unsigned int *iValue);
BOOL ReadINT(HFILE hFile, int *iValue);

#pragma argsused
int PASCAL WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, LPSTR lpCmdParam, int nCmdShow)
{
  MSG msg;
  OFSTRUCT os;

  // Load Desk File Name and Check Existance
  memset(DeskFile, NULL, 288);
  GetPrivateProfileString("StartUp", "DeskFile", "i:\\bc45\\programs\\kittycom\\kittycat.kcd", DeskFile, 288, "KTYDESK.INI");
  if (!OpenFile(DeskFile, &os, OF_EXIST))
  {
	 // File Doesn't Exist, Ask for Creation
	 MessageBeep(MB_ICONQUESTION);
	 if (MessageBox(HWND_DESKTOP, "Default desktop file doesn't exist.  Do you want to create one?", "File Not Found", MB_YESNO | MB_DEFBUTTON1 | MB_ICONQUESTION) == IDYES)
	 {
		// Create File
//                NewDesk(DeskFile);
//        }
//        else
//        {
		// Open Desk if User Doesn't Want to Create One
/*                if (FileDialog(HWND_DESKTOP, "Open Desk", &DeskFile, "Kitty Desk 1.1~*.kdd~~", "KDD", TRUE) == FALSE)
		{
		  PostQuitMessage(0);*/
		  return 0;
//                }
	 }
  }

  // File Now Exists, Create Window
  Ctl3dRegister(hInstance);
  Ctl3dAutoSubclass(hInstance);

  ghInstance = hInstance;
  if (!hPrevInstance)
  {
	 WNDCLASS    wndclass;

	 // Main Window Class
	 wndclass.style         = CS_HREDRAW | CS_VREDRAW | CS_DBLCLKS | CS_GLOBALCLASS | CS_BYTEALIGNWINDOW;
	 wndclass.lpfnWndProc   = (WNDPROC) MainWndProc;
	 wndclass.hInstance     = hInstance;
	 wndclass.hIcon         = LoadIcon (wndclass.hInstance, "DESKICON");
	 wndclass.hCursor       = LoadCursor (NULL, IDC_ARROW);
	 wndclass.lpszMenuName  = "MAIN";
	 wndclass.hbrBackground = (HBRUSH) (COLOR_APPWORKSPACE + 1);
	 wndclass.cbClsExtra    = 0;
	 wndclass.cbWndExtra    = 0;
	 wndclass.lpszClassName = "KittyCat! Desk 1.1 Window";

	 if (!RegisterClass(&wndclass))
	 {
		PostQuitMessage(0);
		return 0;
	 }

	 // Folder Class
	 wndclass.style         = CS_HREDRAW | CS_VREDRAW | CS_DBLCLKS | CS_GLOBALCLASS | CS_BYTEALIGNWINDOW;
	 wndclass.lpfnWndProc   = (WNDPROC) FolderWndProc;
	 wndclass.hInstance     = hInstance;
	 wndclass.hIcon         = NULL;
	 wndclass.hCursor       = LoadCursor (NULL, IDC_ARROW);
	 wndclass.lpszMenuName  = "MAIN";
	 wndclass.hbrBackground = (HBRUSH) (COLOR_WINDOW + 1);
	 wndclass.cbClsExtra    = 0;
	 wndclass.cbWndExtra    = 10;
	 wndclass.lpszClassName = "KittyCat! Desk 1.1 Folder";

	 if (!RegisterClass(&wndclass))
	 {
		PostQuitMessage(0);
		return 0;
	 }

	 // General Item Class
	 wndclass.style         = CS_HREDRAW | CS_VREDRAW | CS_GLOBALCLASS | CS_BYTEALIGNWINDOW;
	 wndclass.lpfnWndProc   = (WNDPROC) IconWndProc;
	 wndclass.hInstance     = hInstance;
	 wndclass.hIcon         = NULL;
	 wndclass.hCursor       = LoadCursor (NULL, IDC_ARROW);
	 wndclass.lpszMenuName  = NULL;
	 wndclass.hbrBackground = (HBRUSH) (COLOR_WINDOW + 1);
	 wndclass.cbClsExtra    = 0;
	 wndclass.cbWndExtra    = 10;
	 wndclass.lpszClassName = "KittyCat! Desk 1.1 Item";

	 if (!RegisterClass(&wndclass))
	 {
		PostQuitMessage(0);
		return 0;
	 }
  }
  else
  {
	 // Pop Up Previous Instance's Window
	 if (IsWindow(ghWnd))
		ShowWindow(ghWnd, SW_SHOWNORMAL);
	 return 0;
  }

  ghWnd = CreateWindow("KittyCat! Desk 1.1 Window", "KittyCat! Desk 1.1 for Windows", WS_OVERLAPPED | WS_SYSMENU | WS_MINIMIZEBOX | WS_THICKFRAME, CW_USEDEFAULT, CW_USEDEFAULT, 322, 240, NULL, NULL, hInstance, NULL);
  ShowWindow(ghWnd, SW_SHOWNORMAL);

  while (GetMessage(&msg, (HWND) NULL, 0, 0))
  {
	 TranslateMessage(&msg);
	 DispatchMessage(&msg);
  }

  Ctl3dUnregister(hInstance);
  UnregisterClass("KittyCat! Desk 1.1 Window", hInstance);
  UnregisterClass("KittyCat! Desk 1.1 Folder", hInstance);
  UnregisterClass("KittyCat! Desk 1.1 Item", hInstance);
  return msg.wParam;
}

#pragma argsused
LRESULT CALLBACK _export MainWndProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
  switch (message)
  {
	 case WM_CREATE :
	 {
//                DragAcceptFiles(hWnd, TRUE);
		OpenDesk(DeskFile, hWnd, &nItems, &hBackground);
		return 0;
	 }
/*        case WM_DROPFILES :
	 {
	 }*/
	 case WM_DESTROY :
	 {
		PostQuitMessage(0);
		return 0;
	 }
  }
  return DefWindowProc(hWnd, message, wParam, lParam);
}

HFILE FAR PASCAL _export OpenDesk(LPCSTR lpszFileName, HWND hWnd, unsigned long int *nItems, HBITMAP *hBitmap)
{
  OFSTRUCT os;
  HFILE hFile;
  RECT WindowRect;
  UINT fType;
  HICON hIcon;
  unsigned int iLength;
  unsigned long int i;
  char String[288];

  if ((hFile = OpenFile(lpszFileName, &os, OF_READWRITE)) == HFILE_ERROR) return HFILE_ERROR;
  _llseek(hFile, 0, 0);

  // Read and Verify String
  memset(String, NULL, 288);
  if (_lread(hFile, &String, 33) == 0) return HFILE_ERROR;
  if (strcmp(String, "KittyCat! Desktop 1.1 - Desk File") != 0) return HFILE_ERROR;

  // Read Window Name
  memset(String, NULL, 288);
  if (!ReadString(hFile, String, sizeof(String))) return HFILE_ERROR;
  SetWindowText(hWnd, String);

  // Read Window Icon File Name
  memset(String, NULL, 288);
  if (!ReadString(hFile, String, sizeof(String))) return HFILE_ERROR;
  if (!ReadUINT(hFile, &iLength)) return HFILE_ERROR;
  hIcon = ExtractIcon(ghInstance, String, iLength);
  SetClassWord(hWnd, GCW_HICON, hIcon);

  // Read Window Position for Desk and Set It
  if (!ReadINT(hFile, &WindowRect.left)) return HFILE_ERROR;
  if (!ReadINT(hFile, &WindowRect.top)) return HFILE_ERROR;
  if (!ReadINT(hFile, &WindowRect.right)) return HFILE_ERROR;
  if (!ReadINT(hFile, &WindowRect.bottom)) return HFILE_ERROR;
  SetWindowPos(hWnd, NULL, WindowRect.left, WindowRect.top, WindowRect.right, WindowRect.bottom, SWP_NOZORDER);

  // Read Background Picture File Name, Load It, and Display It
  memset(String, NULL, 288);
  if (!ReadString(hFile, String, sizeof(String))) return HFILE_ERROR;
  *hBitmap = OpenPicture(String);
  if (hBitmap)
	 RefreshPicture(hWnd, *hBitmap);

  // Read Number of Items in Desk and Process the Items
  if (!ReadULINT(hFile, nItems)) return HFILE_ERROR;
  for (i = 1; i <= *nItems; i++)
  {
	 // Read Item Type
	 if (!ReadUINT(hFile, &fType)) return HFILE_ERROR;

	 // Send Types to Appropriate Areas
	 switch (fType)
	 {
		case FOLDER    : { ReadFolder(hFile, hWnd); break; }
		case ITEM      : { ReadItem(hFile, hWnd); break; }
		case EXTENSION : { ReadExtension(hFile, hWnd); break; }
		case LINK      : { ReadLink(hFile, hWnd); break; }
	 }
  }
  return hFile;
}

BOOL ReadFolder(HFILE hFile, HWND hWnd)
{
  HWND hIconWnd, hFolderWnd;
  HBITMAP hBitmap;
  POINT pt;
  HICON hIcon;
  WINDOWPLACEMENT wp;
  RECT WindowRect;
  unsigned int fType;
  unsigned int iLength;
  unsigned long int i;
  unsigned long int nItems;
  char String[288];

  // Read Window State
  if (!ReadUINT(hFile, &fType)) return FALSE;

  // Read Window Name
  memset(String, NULL, 288);
  if (!ReadString(hFile, String, sizeof(String))) return FALSE;
  hFolderWnd = CreateWindow("KittyCat! Desk 1.1 Folder", String, WS_OVERLAPPED | WS_SYSMENU | WS_MINIMIZEBOX | WS_THICKFRAME, CW_USEDEFAULT, CW_USEDEFAULT, 322, 240, HWND_DESKTOP, NULL, ghInstance, NULL);
  hIconWnd = CreateWindow("KittyCat! Desk 1.1 Item", String, WS_MINIMIZE | WS_CHILD, CW_USEDEFAULT, CW_USEDEFAULT, CW_USEDEFAULT, CW_USEDEFAULT, hWnd, NULL, ghInstance, NULL);
  SetWindowWord(hIconWnd, WW_FOLDERWND, hFolderWnd);

  // Read Window Icon File Name
  memset(String, NULL, 288);
  if (!ReadString(hFile, String, sizeof(String)))  return FALSE;
  if (!ReadUINT(hFile, &iLength))  return FALSE;
  hIcon = ExtractIcon(ghInstance, String, iLength);
  SetWindowWord(hIconWnd, WW_HICON, hIcon);
  SetWindowWord(hFolderWnd, WW_HICON, hIcon);

  // Read Window Position for Folder and Set It
  if (!ReadINT(hFile, &WindowRect.left)) return FALSE;
  if (!ReadINT(hFile, &WindowRect.top)) return FALSE;
  if (!ReadINT(hFile, &WindowRect.right)) return FALSE;
  if (!ReadINT(hFile, &WindowRect.bottom)) return FALSE;
  SetWindowPos(hFolderWnd, NULL, WindowRect.left, WindowRect.top, WindowRect.right, WindowRect.bottom, SWP_NOZORDER);

  // Read Icon Position and Set It
  if (!ReadINT(hFile, &pt.x)) return FALSE;
  if (!ReadINT(hFile, &pt.y)) return FALSE;
  memset(&wp, NULL, sizeof(wp));
  wp.length = sizeof(wp);
  wp.flags = WPF_SETMINPOSITION;
  wp.showCmd = SW_MINIMIZE;
  wp.ptMinPosition = pt;
  SetWindowPlacement(hIconWnd, &wp);

  // Read Background Picture File Name, Load It, and Display It
  memset(String, NULL, 288);
  if (!ReadString(hFile, String, sizeof(String))) return FALSE;
  hBitmap = OpenPicture(String);
  if (hBitmap)
	 SetWindowWord(hFolderWnd, WW_HBITMAP, hBitmap);

  // Show the Windows
  ShowWindow(hIconWnd, SW_MINIMIZE);
  if (fType) // Show Folder
	 ShowWindow(hFolderWnd, SW_SHOWNORMAL);
  else
	 ShowWindow(hFolderWnd, SW_HIDE);

  // Disregard Extension Information and Put hFile and Position in WinWords
  SetWindowWord(hFolderWnd, WW_HFILE, hFile);
  SetWindowWord(hFolderWnd, WW_EXTPOS, (WORD) _llseek(hFile, 0, 1));
  SetWindowWord(hFolderWnd, WW_TYPE, FOLDER);
  if (!ReadULINT(hFile, &nItems)) return FALSE;
  for (i = 1; i <= nItems; i++)
  {
	 if (!ReadUINT(hFile, &fType)) return FALSE;
	 if (!ReadUINT(hFile, &iLength)) return FALSE;
	 _llseek(hFile, iLength, 1);
  }

  // Read Number of Items in Folder and Process the Items
  if (!ReadULINT(hFile, &nItems)) return FALSE;
  for (i = 1; i <= nItems; i++)
  {
	 // Read Item Type
	 if (!ReadUINT(hFile, &fType)) return FALSE;

	 // Send Types to Appropriate Areas
	 switch (fType)
	 {
		case FOLDER    : { ReadFolder(hFile, hWnd); break; }
		case ITEM      : { ReadItem(hFile, hWnd); break; }
		case EXTENSION : { ReadExtension(hFile, hWnd); break; }
		case LINK      : { ReadLink(hFile, hWnd); break; }
	 }
  }
  return TRUE;
}

BOOL ReadItem(HFILE hFile, HWND hWnd)
{
  HWND hIconWnd;
  POINT pt;
  HICON hIcon;
  WINDOWPLACEMENT wp;
  unsigned int iLength;
  int i;
  char String[288];

  // Read Window Name
  memset(String, NULL, 288);
  if (!ReadString(hFile, String, sizeof(String))) return FALSE;
  hIconWnd = CreateWindow("KittyCat! Desk 1.1 Item", String, WS_MINIMIZE | WS_CHILD, CW_USEDEFAULT, CW_USEDEFAULT, CW_USEDEFAULT, CW_USEDEFAULT, hWnd, NULL, ghInstance, NULL);

  // Read Window Icon File Name
  memset(String, NULL, 288);
  if (!ReadString(hFile, String, sizeof(String)))  return FALSE;
  if (!ReadUINT(hFile, &iLength))  return FALSE;
  hIcon = ExtractIcon(ghInstance, String, iLength);
  SetWindowWord(hIconWnd, WW_HICON, hIcon);

  // Read Icon Position and Set It
  if (!ReadINT(hFile, &pt.x)) return FALSE;
  if (!ReadINT(hFile, &pt.y)) return FALSE;
  memset(&wp, NULL, sizeof(wp));
  wp.length = sizeof(wp);
  wp.flags = WPF_SETMINPOSITION;
  wp.showCmd = SW_MINIMIZE;
  wp.ptMinPosition = pt;
  SetWindowPlacement(hIconWnd, &wp);

  // Disregard Program Information and Put hFile and Position in WinWords
  SetWindowWord(hIconWnd, WW_HFILE, hFile);
  SetWindowWord(hIconWnd, WW_PROGPOS, (WORD) _llseek(hFile, 0, 1));
  SetWindowWord(hIconWnd, WW_TYPE, ITEM);
  for (i = 1; i <= 3; i++)
  {
	 if (!ReadString(hFile, String, sizeof(String)))  return FALSE;
  }
  ShowWindow(hIconWnd, SW_MINIMIZE);
  return TRUE;
}

#pragma argsused
LRESULT CALLBACK _export IconWndProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
  switch (message)
  {
	 case WM_CREATE :
	 {
		return 0;
	 }
	 case WM_PAINT :
	 {
		HDC hDC = GetDC(hWnd);

		DefWindowProc(hWnd, WM_ICONERASEBKGND, (WORD) hDC, 0L);
		DrawIcon(hDC, 0, 0, GetWindowWord(hWnd, WW_HICON));
		ReleaseDC(hWnd, hDC);
		ValidateRect(hWnd, NULL);
		return 0;
	 }
	 case WM_QUERYDRAGICON :
	 {
		return (DWORD) (HICON) GetWindowWord(hWnd, WW_HICON);
	 }
	 case WM_QUERYOPEN :
	 {
		switch (GetWindowWord(hWnd, WW_TYPE))
		{
		  case FOLDER :
		  {
			 // Show Folder Window
			 ShowWindow(GetWindowWord(hWnd, WW_FOLDERWND), SW_SHOWNORMAL);
			 break;
		  }
		  case ITEM :
		  {
			 // Set File Position To Program Info Position
			 HFILE hFile = GetWindowWord(hWnd, WW_HFILE);
			 unsigned int iLength;
			 char Program[288];
			 char Param[288];
			 char Directory[288];
			 _llseek(hFile, GetWindowWord(hWnd, WW_PROGPOS), 0);

			 // Read Program File, Param, and Directory
			 memset(Directory, NULL, 288);
			 if (_lread(hFile, &iLength, sizeof(iLength)) == 0) return FALSE;
			 if (_lread(hFile, &Program, iLength) == 0) return FALSE;
			 memset(Program, NULL, 288);
			 if (_lread(hFile, &iLength, sizeof(iLength)) == 0) return FALSE;
			 if (_lread(hFile, &Param, iLength) == 0) return FALSE;
			 memset(Param, NULL, 288);
			 if (_lread(hFile, &iLength, sizeof(iLength)) == 0) return FALSE;
			 if (_lread(hFile, &Directory, iLength) == 0) return FALSE;

			 // Run Item
			 if (ShellExecute(hWnd, NULL, Program, Param, Directory, SW_SHOWNORMAL) <= 32)
			 {
				MessageBeep(MB_ICONEXCLAMATION);
				MessageBox(hWnd, "Cannot Run Attempted Program!", "Run Error", MB_OK | MB_ICONEXCLAMATION);
			 }
			 break;
		  }
		}
		return 0;
	 }
  }
  return DefWindowProc(hWnd, message, wParam, lParam);
}

#pragma argsused
LRESULT CALLBACK _export FolderWndProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
  switch (message)
  {
	 case WM_CREATE :
	 {
		return 0;
	 }
/*        case WM_PAINT :
	 {
		if (IsIconic(hWnd))
		{
		  HDC hDC = GetDC(hWnd);

		  DefWindowProc(hWnd, WM_ICONERASEBKGND, (WORD) hDC, 0L);
		  DrawIcon(hDC, 0, 0, GetWindowWord(hWnd, WW_HICON));
		  ReleaseDC(hWnd, hDC);
		}
		ValidateRect(hWnd, NULL);
		return 0;
	 }*/
	 case WM_QUERYDRAGICON :
	 {
		return (DWORD) (HICON) GetWindowWord(hWnd, WW_HICON);
	 }
  }
  return DefWindowProc(hWnd, message, wParam, lParam);
}

BOOL ReadString(HFILE hFile, LPSTR String, UINT nBytes)
{
  unsigned int iLength;
  if (ReadUINT(hFile, &iLength) == FALSE) return FALSE;
  if (nBytes < iLength)
	 iLength = nBytes;
  if (_lread(hFile, String, iLength) == 0) return FALSE;
  return TRUE;
}

BOOL ReadULINT(HFILE hFile, unsigned long int *iValue)
{
  if (_lread(hFile, iValue, sizeof(*iValue)) == 0) return FALSE;
  return TRUE;
}

BOOL ReadUINT(HFILE hFile, unsigned int *iValue)
{
  if (_lread(hFile, iValue, sizeof(*iValue)) == 0) return FALSE;
  return TRUE;
}

BOOL ReadINT(HFILE hFile, int *iValue)
{
  if (_lread(hFile, iValue, sizeof(*iValue)) == 0) return FALSE;
  return TRUE;
}

