// KittyCat! Comm 1.0 for Windows 3.1
// by Steven Lawrance
// ---User Interface Header File---


// DLL Routines
HINSTANCE FAR PASCAL _export Userintr_GetDLLInstance(void);

// Main Window
MSG FAR PASCAL _export RunProgram(HINSTANCE hPrevInstance, LPSTR lpCmdParam, int nCmdShow);
LRESULT CALLBACK _export MainWndProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam);
void FAR PASCAL _export WMCommand_Handler(HWND hWnd, int id, HWND hwndCtl, UINT codeNotify);

// Program Functions
HWND FAR PASCAL _export GetGlobalWindow(void);
DWORD FAR PASCAL _export IsVersionRegistered(void);
void FAR PASCAL _export Sound(UINT AlertLevel);
void FAR PASCAL _export WaveFile(LPCSTR String);
void FAR PASCAL _export ChangeCursor(HWND hWnd, LPSTR hCursor);
RESULT FAR PASCAL _export LoadResultTable(RESULT Result);
void FAR PASCAL _export SaveResultTable(RESULT Result);
DATASTRUCT FAR PASCAL _export LoadDefaultStruct(DATASTRUCT DataStruct);
void FAR PASCAL _export SaveDefaultStruct(DATASTRUCT DataStruct);
void FAR PASCAL _export SetMainWindowPics(PICS Pics);
int FAR PASCAL _export GetSoundVariable(void);

// Dialing Directory
HWND FAR PASCAL _export MakeNewChild(char *pName);
LRESULT CALLBACK _export MDIChildWndProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam);
